Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ORCA2
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ORCA2	(revision 704)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ORCA2	(revision 705)
@@ -586,49 +606,45 @@
 &namsol        !   elliptic solver / island / free surface 
 !-----------------------------------------------------------------------
-   nsolv       =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
+   nn_solv     =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
                            !                   =2 successive-over-relaxation (sor)
-                           !                   =3 FETI (fet)                               ("key_feti")
-                           !                   =4 sor with extra outer halo
-   nsol_arp    =      0    !  absolute/relative (0/1) precision convergence test
-   nmin        =    300    !  minimum of iterations for the SOR solver
-   nmax        =    800    !  maximum of iterations for the SOR solver
-   nmod        =     10    !  frequency of test for the SOR solver
-   eps         =  1.e-6    !  absolute precision of the solver
-   resmax      =  1.e-10   !  absolute precision for the SOR solver
-   sor         =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
-   epsisl      =  1.e-10   !  absolute precision on stream function solver
-   nmisl       =   4000    !  maximum pcg iterations for island                            ("key_islands")
-   rnu         =      1.   !  strength of the additional force used in filtered free surface
-/
-!-----------------------------------------------------------------------
-&nam_mpp      !   Massively Parallel Processing                         ("key_mpp_mpi)
-!-----------------------------------------------------------------------
-   c_mpi_send =  'S'       !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
+   nn_sol_arp  =      0    !  absolute/relative (0/1) precision convergence test
+   rn_eps      =  1.e-6    !  absolute precision of the solver
+   nn_nmin     =    300    !  minimum of iterations for the SOR solver
+   nn_nmax     =    800    !  maximum of iterations for the SOR solver
+   nn_nmod     =     10    !  frequency of test for the SOR solver
+   rn_resmax   =  1.e-10   !  absolute precision for the SOR solver
+   rn_sor      =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
+/
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   cn_mpi_send =  'S'      !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
                            !  buffer blocking send or immediate non-blocking sends, resp.
-   nn_buffer  =   0        !  size in bytes of exported buffer ('B' case), 0 no exportation
-/
-!-----------------------------------------------------------------------
-&nam_mpp_dyndist !   Massively Parallel Distribution                    ("key_agrif" && "key_mpp_dyndist")
-!-----------------------------------------------------------------------
-   jpni       =    1       !  jpni   number of processors following i
-   jpnj       =    1       !  jpnj   number of processors following j
-   jpnij      =    1       !  jpnij  number of local domains
-/
-!-----------------------------------------------------------------------
-&namctl       !   Control prints & Benchmark
-!-----------------------------------------------------------------------
-   ln_ctl     = .false.    !  trends control print (expensive!)
-   nprint     =    0       !  level of print (0 no extra print)
-   nictls     =    0       !  start i indice of control sum (use to compare mono versus
-   nictle     =    0       !  end   i indice of control sum        multi processor runs
-   njctls     =    0       !  start j indice of control               over a subdomain)
-   njctle     =    0       !  end   j indice of control 
-   isplt      =    1       !  number of processors in i-direction
-   jsplt      =    1       !  number of processors in j-direction
-   nbench     =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+   nn_buffer   =   0       !  size in bytes of exported buffer ('B' case), 0 no exportation
+/
+!-----------------------------------------------------------------------
+&nammpp_dyndist !   Massively Parallel Distribution for AGRIF zoom      ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+   jpni        =    1      !  jpni   number of processors following i
+   jpnj        =    1      !  jpnj   number of processors following j
+   jpnij       =    1      !  jpnij  number of local domains
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+   ln_ctl      = .false.   !  trends control print (expensive!)
+   nn_print    =    0      !  level of print (0 no extra print)
+   nn_ictls    =    0      !  start i indice of control sum (use to compare mono versus
+   nn_ictle    =    0      !  end   i indice of control sum        multi processor runs
+   nn_jctls    =    0      !  start j indice of control               over a subdomain)
+   nn_jctle    =    0      !  end   j indice of control
+   nn_isplt    =    1      !  number of processors in i-direction
+   nn_jsplt    =    1      !  number of processors in j-direction
+   nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
                            !     (no physical validity of the results)
-   nbit_cmp   =    0       !  bit comparison mode (1/0): CAUTION use zero except for test
+   nn_bit_cmp  =    0      !  bit comparison mode (1/0): CAUTION use zero except for test
                            !     of comparison between single and multiple processor runs
 /
+
 !!======================================================================
 !!                       ***  Diagnostics namelists  ***
@@ -636,5 +652,4 @@
 !!   namtrd       dynamics and/or tracer trends                         ("key_trddyn","key_trdtra","key_trdmld")
 !!   namgap       level mean model-data gap                             ("key_diagap")
-!!   namspr       surface pressure diagnosed in rigid-lid               ("key_diaspr")
 !!   namflo       float parameters                                      ("key_float")
 !!   namptr       Poleward Transport Diagnostics
@@ -642,28 +657,20 @@
 
 !-----------------------------------------------------------------------
-&namtrd       !   diagnostics on dynamics and/or tracer trends             ("key_trddyn" and/or "key_trdtra")
-!                          or mixed-layer trends                        ('key_trdmld')
-!                          or barotropic vorticity                      ("key_trdvor")
-!-----------------------------------------------------------------------
-   ntrd       = 365        !  time step frequency dynamics and tracers trends
-   nctls      =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
-   ucf        =   1.       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
-   cn_trdrst_in  = "restart_mld"   ! suffix of ocean restart name (input)
-   cn_trdrst_out = "restart_mld"   ! suffix of ocean restart name (output)
-   ln_trdmld_restart = .false.     !  restart for ML diagnostics
-   ln_trdmld_instant = .false.     !  flag to diagnose trends of instantantaneous or mean ML T/S
+&namtrd        !   diagnostics on dynamics and/or tracer trends         ("key_trddyn" and/or "key_trdtra")
+!              !       or mixed-layer trends or barotropic vorticity    ('key_trdmld' or  "key_trdvor")
+!-----------------------------------------------------------------------
+   nn_trd      = 365       !  time step frequency dynamics and tracers trends
+   nn_ctls     =   0       !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf      =   1.      !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   cn_trdrst_in      = "restart_mld"   ! suffix of ocean restart name (input)
+   cn_trdrst_out     = "restart_mld"   ! suffix of ocean restart name (output)
+   ln_trdmld_restart = .false.         !  restart for ML diagnostics
+   ln_trdmld_instant = .false.         !  flag to diagnose trends of instantantaneous or mean ML T/S
 /
 !-----------------------------------------------------------------------
 &namgap       !   level mean model-data gap                             ('key_diagap')
 !-----------------------------------------------------------------------
-   ngap       =  15        !  time-step frequency of model-data gap computation
-   nprg       =  10        !  AUTO - time-step frequency of gap print in model output
-/
-!-----------------------------------------------------------------------
-&namspr       !   surface pressure diagnostic
-!-----------------------------------------------------------------------
-   nmaxp      =   1000     !  maximum of iterations for the solver
-   epsp       =  1.e-3     !  absolute precision of the solver
-   niterp     =    400     !  number of iteration done by the solver
+   nn_gap     =  15        !  time-step frequency of model-data gap computation
+   nn_prg     =  10        !  AUTO - time-step frequency of gap print in model output
 /
 !-----------------------------------------------------------------------
@@ -671,6 +678,6 @@
 !-----------------------------------------------------------------------
     ln_rstflo = .false.    !  float restart (T) or not (F)
-    nwritefl  =      75    !  frequency of writing in float output file 
-    nstockfl  =    5475    !  frequency of creation of the float restart file 
+    nn_writefl=      75    !  frequency of writing in float output file 
+    nn_stockfl=    5475    !  frequency of creation of the float restart file 
     ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
     ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ice_ORCA2
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ice_ORCA2	(revision 704)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ice_ORCA2	(revision 705)
@@ -87,4 +87,5 @@
    swiqst      = 1.        !  energy stored in brine pocket (=1) or not (=0)	
    sbeta       = 1.        !  numerical caracteritic of the scheme for diffusion in ice
+                           !        Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
    parlat      = 0.0       !  percentage of energy used for lateral ablation
    hakspl      = 0.5       !  slope of distr. for Hakkinen-Mellor's lateral melting
